Subject: Re: IPoIB: Fix multicast packet drops before join is complete

From: Roland Dreier <[email-masked]>
Date: Tue, 09 Jun 2009 20:55:57 -0700

> Block the process joining the multicast group, not the entire
 > interface.

Hmm... how do I do that?  The interface gets an skb that it sees should
be sent to a multicast group that it is not a member of yet, and so it
fires off a request to join that group (as a send-only member).  How
does a netdev block the process that queued up a given skb to send?
Couldn't the packet have come through a local software bridge or
something like that, so the original process is long since lost to the
network stack?

 - R.